*** relay/fileart.c	Mon Aug 28 16:11:12 1995
--- relay/fileart.c.new	Tue Jan  7 22:17:33 1997
***************
*** 589,595 ****
--- 589,609 ----
  	else if (opts.dupsokay)
  		ngs = histngs(art);
  	else {
+ #ifndef NO_PLUS_CONTROL
+ 		if (art->h.h_ctlcmd) {
+ 		        /* File control articles in "control.<type>"
+ 			   if that exists, in "control" otherwise. */
+ 		        groups = str3save(CONTROL, ".", art->h.h_ctlcmd);
+ 			stranslit(groups, ' ', '\0');    /* kill args */
+ 			stranslit(groups, '\t', '\0');
+ 			if (!actlook(groups)) {
+ 			      groups = CONTROL;
+ 			}
+ 		} else
+ 		        groups = art->h.h_ngs;
+ #else
  		groups = art->h.h_ctlcmd != NULL? CONTROL: art->h.h_ngs; /* NCMP */
+ #endif
  		if (strchr(groups, XREFDELIM) != NULL)
  			transient(art, 'b',
  				"colon not permitted in Newsgroups: list", ""); 
